Skip to content
Permalink
Branch: master
Find file Copy path
Find file Copy path
Fetching contributors…
Cannot retrieve contributors at this time
120 lines (119 sloc) 2.48 KB
{
"name": "autoserver",
"version": "0.5.0",
"main": "build/src/main.js",
"files": [
"build/src",
"!~"
],
"bin": {
"autoserver": "build/src/bin/main.js"
},
"scripts": {
"test": "gulp test"
},
"husky": {
"hooks": {
"pre-push": "gulp check --full"
}
},
"description": "Create a full-featured REST/GraphQL API from a configuration file",
"keywords": [
"baas",
"api",
"server",
"framework",
"declarative",
"agnostic",
"config",
"configuration",
"crud",
"relations",
"nesting",
"filtering",
"sorting",
"selecting",
"pagination",
"authorization",
"validation",
"logging",
"monitoring",
"errors",
"http",
"graphql",
"rest",
"json-rpc",
"json",
"yaml",
"hjson",
"json5",
"ini",
"brotli",
"mongodb"
],
"license": "Apache-2.0",
"homepage": "https://git.io/fhSG8",
"repository": "ehmicky/autoserver",
"bugs": {
"url": "https://github.com/ehmicky/autoserver/issues"
},
"author": "ehmicky <ehmicky@gmail.com> (https://github.com/ehmicky)",
"directories": {
"doc": "docs",
"example": "examples",
"lib": "src",
"test": "test"
},
"dependencies": {
"ajv": "^6.10.2",
"ajv-keywords": "^3.4.1",
"bytes": "^3.1.0",
"chalk": "^2.4.2",
"compressible": "^2.0.17",
"content-type": "^1.0.4",
"core-js": "^3.2.1",
"fast-deep-equal": "^2.0.1",
"graphql": "^0.9.1",
"graphql-type-json": "^0.3.0",
"hjson": "^3.1.2",
"iconv-lite": "^0.5.0",
"ini": "^1.3.5",
"js-yaml": "^3.13.1",
"json5": "^2.1.0",
"keep-func-props": "^2.0.0",
"li": "^1.3.0",
"log-process-errors": "^5.0.2",
"moize": "^5.4.4",
"mongodb": "^2.2.36",
"mustache": "^2.3.2",
"negotiator": "^0.6.2",
"parse-prefer-header": "^1.0.0",
"path-to-regexp": "^3.1.0",
"pluralize": "^8.0.0",
"qs": "^6.9.0",
"raw-body": "^2.4.1",
"read-pkg-up": "^6.0.0",
"request-ip": "^2.1.3",
"require-from-string": "^2.0.2",
"signal-exit": "^3.0.2",
"type-is": "^1.6.18",
"underscore.string": "^3.3.5",
"uuid": "^3.3.3",
"vary": "^1.1.2",
"yargs": "^14.0.0"
},
"devDependencies": {
"@ehmicky/dev-tasks": "^0.30.43",
"ava": "^2.4.0",
"execa": "^2.0.4",
"get-bin-path": "^3.0.0",
"got": "^9.6.0",
"gulp": "^4.0.2",
"gulp-execa": "^1.0.1",
"husky": "^3.0.5",
"nodemon": "^1.19.2"
},
"engines": {
"node": ">=8.12.0"
}
}
You can’t perform that action at this time.